# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.6)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.20)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget larcorealg::headers larcorealg::GeoAlgo larcorealg::GeoAlgo_dict larcorealg::TestUtils larcorealg::CoreUtils larcorealg::Geometry larcorealg::geoVectorUtils larcorealg::GeometryIDmapper larcorealg::GeometryTestLib)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target larcorealg::headers
add_library(larcorealg::headers INTERFACE IMPORTED)

set_target_properties(larcorealg::headers PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target larcorealg::GeoAlgo
add_library(larcorealg::GeoAlgo SHARED IMPORTED)

set_target_properties(larcorealg::GeoAlgo PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "ROOT::Core;ROOT::Physics"
)

# Create imported target larcorealg::GeoAlgo_dict
add_library(larcorealg::GeoAlgo_dict SHARED IMPORTED)

set_target_properties(larcorealg::GeoAlgo_dict PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "ROOT::Core"
)

# Create imported target larcorealg::TestUtils
add_library(larcorealg::TestUtils SHARED IMPORTED)

set_target_properties(larcorealg::TestUtils PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "canvas::canvas;cetlib_except::cetlib_except"
)

# Create imported target larcorealg::CoreUtils
add_library(larcorealg::CoreUtils SHARED IMPORTED)

set_target_properties(larcorealg::CoreUtils PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "cetlib::cetlib;cetlib_except::cetlib_except"
)

# Create imported target larcorealg::Geometry
add_library(larcorealg::Geometry SHARED IMPORTED)

set_target_properties(larcorealg::Geometry PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "messagefacility::MF_MessageLogger;fhiclcpp::fhiclcpp;cetlib::cetlib;cetlib_except::cetlib_except;ROOT::Core;ROOT::Physics;ROOT::Geom;ROOT::GenVector;CLHEP::Geometry;larcoreobj::SimpleTypesAndConstants"
)

# Create imported target larcorealg::geoVectorUtils
add_library(larcorealg::geoVectorUtils INTERFACE IMPORTED)

set_target_properties(larcorealg::geoVectorUtils PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "larcoreobj::headers;fhiclcpp::fhiclcpp;ROOT::GenVector"
  INTERFACE_SOURCES "${_IMPORT_PREFIX}/include/larcorealg/Geometry/geo_vectors_fhicl.h;${_IMPORT_PREFIX}/include/larcorealg/Geometry/geo_vectors_utils.h;${_IMPORT_PREFIX}/include/larcorealg/Geometry/geo_vectors_utils_TVector.h"
)

# Create imported target larcorealg::GeometryIDmapper
add_library(larcorealg::GeometryIDmapper INTERFACE IMPORTED)

set_target_properties(larcorealg::GeometryIDmapper PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "larcoreobj::SimpleTypesAndConstants"
  INTERFACE_SOURCES "${_IMPORT_PREFIX}/include/larcorealg/Geometry/GeometryIDmapper.h"
)

# Create imported target larcorealg::GeometryTestLib
add_library(larcorealg::GeometryTestLib SHARED IMPORTED)

set_target_properties(larcorealg::GeometryTestLib PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "larcorealg::Geometry;larcorealg::TestUtils;canvas::canvas;messagefacility::MF_MessageLogger;fhiclcpp::fhiclcpp;cetlib::cetlib;cetlib_except::cetlib_except"
)

if(CMAKE_VERSION VERSION_LESS 3.1.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.1.0 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/larcorealgTargets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
